﻿<!DOCTYPE html>
<html lang="en">
<head>
    <title>Carbook - Free Bootstrap 4 Template by Colorlib</title>
    <meta charset="utf-8">
    <meta name="viewport"
          content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800&display=swap"
          rel="stylesheet">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css"
          integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg=="
          crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="~/assets/css/open-iconic-bootstrap.min.css">
    <link rel="stylesheet" href="~/assets/css/animate.css">
    <link rel="stylesheet" href="~/assets/css/owl.carousel.min.css">
    <link rel="stylesheet" href="~/assets/css/owl.theme.default.min.css">
    <link rel="stylesheet" href="~/assets/css/magnific-popup.css">
    <link rel="stylesheet" href="~/assets/css/aos.css">
    <link rel="stylesheet" href="~/assets/css/ionicons.min.css">
    <link rel="stylesheet" href="~/assets/css/bootstrap-datepicker.css">
    <link rel="stylesheet" href="~/assets/css/jquery.timepicker.css">
    <link rel="stylesheet" href="~/assets/css/flaticon.css">
    <link rel="stylesheet" href="~/assets/css/icomoon.css">
    <link rel="stylesheet" href="~/assets/css/style.css">
    <link rel="stylesheet" href="~/assets/css/step-wizard.css">
    <link rel="stylesheet" href="~/assets/css/add-car.css">

    @RenderSection("Css", required: false)
</head>
<body>

    <nav class="navbar navbar-expand-lg navbar-dark ftco_navbar bg-dark ftco-navbar-light"
         id="ftco-navbar">
        <div class="container">
            <a class="navbar-brand" asp-action="Index" asp-controller="Home" asp-area="CarOwner">Car<span>Book</span></a>
            <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#ftco-nav" aria-controls="ftco-nav" aria-expanded="false"
                    aria-label="Toggle navigation">
                <span class="oi oi-menu"></span> Menu
            </button>
            <div class="collapse navbar-collapse" id="ftco-nav">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item active"><a asp-action="Index" asp-controller="Home" asp-area="CarOwner" class="nav-link">Home</a></li>
                    <li class="nav-item"><a asp-action="Create" asp-controller="Cars" asp-area="CarOwner" class="nav-link">List your car</a></li>
                    <li class="nav-item"><a asp-action="Report" asp-controller="Cars" asp-area="CarOwner" class="nav-link">My reports</a></li>
                </ul>
                <partial name="_LoginPartial" />
            </div>
        </div>
    </nav>

    <div class="hero-wrap ftco-degree-bg"
         style="background-image: url('/assets/images/bg_1.jpg');"
         data-stellar-background-ratio="0.5">
        <div class="overlay"></div>
        <div class="container">
            <div class="row no-gutters slider-text justify-content-start align-items-center justify-content-center">
                <div class="col-lg-8 ftco-animate">
                    <div class="text w-100 text-center mb-md-5 pb-md-5">
                        <h1 class="mb-4">Car Rental Service</h1>
                        <p style="font-size: 18px;">
                            Choose between 100's of private cars for rent at really low prices!
                        </p>
                        <a href="https://vimeo.com/45830194"
                           class="icon-wrap popup-vimeo d-flex align-items-center mt-4 justify-content-center">
                            <div class="icon d-flex align-items-center justify-content-center">
                                <span class="ion-ios-play"></span>
                            </div>
                            <div class="heading-title ml-5">
                                <span>Find a rental car near you</span>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <main role="main">
            @RenderBody()
        </main>
    </div>

    <footer class="ftco-footer ftco-bg-dark ftco-section">
        <div class="container">
            <div class="row mb-5">
                <div class="col-md">
                    <div class="ftco-footer-widget mb-4 ml-md-5">
                        <h2 class="ftco-heading-2">RENT CARS</h2>
                        <ul class="list-unstyled">
                            <li><a href="#" class="py-2 d-block">Search cars and rates</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md">
                    <div class="ftco-footer-widget mb-4">
                        <h2 class="ftco-heading-2">CUSTOMER ACCESS</h2>
                        <ul class="list-unstyled">
                            <li><a href="#" class="py-2 d-block">Manage my booking</a></li>
                            <li><a href="#" class="py-2 d-block">My wallet</a></li>
                            <li><a href="#" class="py-2 d-block">My car</a></li>
                            <li><a href="#" class="py-2 d-block">Login</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md">
                    <div class="ftco-footer-widget mb-4 ml-md-5">
                        <h2 class="ftco-heading-2">JOIN US</h2>
                        <ul class="list-unstyled">
                            <li><a href="#" class="py-2 d-block">New user sign up</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md">
                    <div class="ftco-footer-widget mb-4">
                        <h2 class="ftco-heading-2">Have a Questions?</h2>
                        <div class="block-23 mb-3">
                            <ul>
                                <li>
                                    <span class="icon icon-map-marker"></span><span class="text">
                                        203 Fake St. Mountain View, San Francisco,
                                        California, USA
                                    </span>
                                </li>
                                <li>
                                    <a href="#">
                                        <span class="icon icon-phone"></span><span class="text">+2 392 3929 210</span>
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <span class="icon icon-envelope"></span><span class="text">info@yourdomain.com</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 text-center">

                    <p>
                        Copyright &copy;<script>document.write(new Date().getFullYear());</script>
                        All rights reserved | This template is made with <i class="icon-heart color-danger" aria-hidden="true"></i> by <a href="https://colorlib.com" target="_blank">Colorlib</a>
                    </p>
                </div>
            </div>
        </div>
    </footer>

    <div id="ftco-loader" class="show fullscreen">
        <svg class="circular"
             width="48px" height="48px">
            <circle class="path-bg" cx="24" cy="24"
                    r="22" fill="none" stroke-width="4" stroke="#eeeeee" />
            <circle class="path" cx="24" cy="24" r="22" fill="none" stroke-width="4"
                    stroke-miterlimit="10" stroke="#F96D00" />
        </svg>
    </div>

    <script src="~/assets/js/jquery.min.js"></script>
    <script src="~/assets/js/jquery-migrate-3.0.1.min.js"></script>
    <script src="~/assets/js/popper.min.js"></script>
    <script src="~/assets/js/bootstrap.min.js"></script>
    <script src="~/assets/js/jquery.easing.1.3.js"></script>
    <script src="~/assets/js/jquery.waypoints.min.js"></script>
    <script src="~/assets/js/jquery.stellar.min.js"></script>
    <script src="~/assets/js/owl.carousel.min.js"></script>
    <script src="~/assets/js/jquery.magnific-popup.min.js"></script>
    <script src="~/assets/js/aos.js"></script>
    <script src="~/assets/js/jquery.animateNumber.min.js"></script>
    <script src="~/assets/js/bootstrap-datepicker.js"></script>
    <script src="~/assets/js/jquery.timepicker.min.js"></script>
    <script src="~/assets/js/scrollax.min.js"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBVWaKrjvy3MaE7SQ74_uJiULgl1JY0H2s&sensor=false"></script>
    <script src="~/assets/js/google-map.js"></script>
    <script src="~/assets/js/main.js"></script>
    <script src="~/assets/js/list-grid-view.js"></script>
    <script src="~/assets/js/multi-step.js"></script>
    <script src="~/assets/js/toggle-driver-info.js"></script>

    <script>
        $(document).ready(function () {
            $("#otherCheckbox").on("change", function () {
                if ($(this).is(":checked")) {
                    $("#otherTextareaContainer").show();
                } else {
                    $("#otherTextareaContainer").hide();
                }
            });
        });
    </script>


    <script>
        $(document).ready(function () {
            function populateBrandDropdown() {
                $.ajax({
                    url: "/CarOwner/Cars/GetBrands",
                    type: "GET",
                    dataType: "json",
                    success: function (data) {
                        console.log(data);
                        var brandDropdown = $("#brandDropdown");
                        brandDropdown.empty();
                        brandDropdown.append('<option selected>Brand name</option>');
                        $.each(data, function (index, item) {
                            brandDropdown.append('<option value="' + item + '">' + item + '</option>');
                        });
                    }
                });
            }

            function populateModelDropdown(selectedBrand) {
                $.ajax({
                    url: "/CarOwner/Cars/GetModels",
                    type: "GET",
                    dataType: "json",
                    data: { selectedBrand: selectedBrand },
                    success: function (data) {
                        console.log(data);
                        var modelDropdown = $("#modelDropdown");
                        modelDropdown.empty();
                        modelDropdown.append('<option selected>Model</option>');
                        $.each(data, function (index, item) {
                            modelDropdown.append('<option value="' + item + '">' + item + '</option>');
                        });
                    }
                });
            }

            populateBrandDropdown();
            $("#brandDropdown").change(function () {
                var selectedBrand = $(this).val();
                if (selectedBrand !== "Brand name") {
                    populateModelDropdown(selectedBrand);
                }
            });
        });

        function populateCityDropdown() {
            $.ajax({
                url: "/CarOwner/Cars/GetCities",
                type: "GET",
                dataType: "json",
                success: function (data) {
                    var cityDropdown = $("#cityDropdown");
                    if (cityDropdown == null) {
                        cityDropdown.empty();
                        cityDropdown.append('<option selected>City/Province</option>');
                    }
                    $.each(data, function (index, item) {
                        cityDropdown.append('<option value="' + item + '">' + item + '</option>');
                    });
                }
            });
        }

        function populateDistrictDropdown(selectedCity) {
            $.ajax({
                url: "/CarOwner/Cars/GetDistricts",
                type: "GET",
                dataType: "json",
                data: { selectedCity: selectedCity },
                success: function (data) {
                    var districtDropdown = $("#districtDropdown");
                    var wardDropdown = $("#wardDropdown");

                    if (districtDropdown == null || selectedCity != null) {
                        districtDropdown.empty();
                        districtDropdown.append('<option selected>District</option>');

                        wardDropdown.empty();
                        wardDropdown.append('<option selected>Ward</option>');
                    }
                    $.each(data, function (index, item) {
                        districtDropdown.append('<option value="' + item + '">' + item + '</option>');
                    });
                }
            });
        }

        function populateWardDropdown(selectedDistrict) {
            $.ajax({
                url: "/CarOwner/Cars/GetWards",
                type: "GET",
                dataType: "json",
                data: { selectedDistrict: selectedDistrict },
                success: function (data) {
                    var wardDropdown = $("#wardDropdown");

                    if (wardDropdown == null || selectedDistrict != null) {
                        wardDropdown.empty();
                        wardDropdown.append('<option selected>Ward</option>');
                    }
                    $.each(data, function (index, item) {
                        wardDropdown.append('<option value="' + item + '">' + item + '</option>');
                    });
                }
            });
        }

        populateCityDropdown();

        $("#cityDropdown").change(function () {
            var selectedCity = $(this).val();
            if (selectedCity !== "City/Province") {
                populateDistrictDropdown(selectedCity);
            }
        });

        $("#districtDropdown").change(function () {
            var selectedDistrict = $(this).val();
            if (selectedDistrict !== "District") {
                populateWardDropdown(selectedDistrict);
            }
        });

        function populateColorDropdown() {
            $.ajax({
                url: "/CarOwner/Cars/GetColors",
                type: "GET",
                dataType: "json",
                success: function (data) {
                    var colorDropdown = $("#colorDropdown");
                    colorDropdown.empty();
                    colorDropdown.append('<option value="" selected>Color</option>');

                    $.each(data, function (index, item) {
                        colorDropdown.append('<option value="' + item.ColorId + '">' + item.ColorName + '</option>');
                    });
                }
            });
        }

        populateColorDropdown();
    </script>
    @await Component.InvokeAsync("NToastNotify")
    @RenderSection("Scripts", required: false)
</body>
</html>